
load states_real.dat
load states_imag.dat 

load colormapcool.mat;
smap = size(map); 
map3b = zeros([smap(1)*5,smap(2)]); 
map3b(:,1) = interp1(map(:,1),linspace(1,smap(1),5*smap(1)));
map3b(:,2) = interp1(map(:,2),linspace(1,smap(1),5*smap(1)));
map3b(:,3) = interp1(map(:,3),linspace(1,smap(1),5*smap(1)));
colormap(map3b); 

[nmax nx] = size(states_real);
nmax

for n=[1 497], %[1 22 28 34 43 53],        
    
    clf
    psi = states_real(n,:).' + i*states_imag(n,:).';  

    rho = psi*psi';

    pmax = sqrt(2*pi*nx)/4;

    tic;
    [Wf x p] = wignerX(rho,256); 
    toc;

    rWf = real(Wf); 

    scale = max([-min(min(rWf)) max(max(rWf))]);

    figure(1); 

      surf(x,p,-rWf/scale);
      view(0,90);
      shading interp;
      caxis([-0.8,0.8]);
      axis([-1,1,-1,1]*pmax);
      %pos = get(gca,'position')
      %set(gca,'position',[pos(1) pos(2) (pos(4)-pos(2) pos(4)]);
      set(gca,'fontsize',[18]);
      set(gca,'xtick',[-6 -4 -2 0 2 4 6]);
      xlabel([ 'n=' num2str(n)]);
      axis square
      
      drawnow
      %eval(['print -depsc cat_snap_n' num2str(n) '.eps' ]);
      pause
  
end